#include <stdlib.h>

#include "include/main.h"
#include "include/segment.h"
#include "include/snake.h"

Snake *new_snake(size_t len, int head_dirn, int x, int y) {
    Snake *s;
    s = (Snake *)malloc(sizeof(Snake));
    if (!s)
        die("snake.c: new_snake(): 's' is null pointer");

    s->n = (Segment **)malloc(sizeof(Segment *) * len);
    if (!s->n)
        die("snake.c: new_snake(): 's->n' is null pointer");
    for (size_t i = 0; i < len; i++) {
        s->*n[i] = new_segment(x, y--);
    }
}
void *delete_snake(Snake *);

void snake_forward(Snake *, int);
int snake_eat(Snake *);
